package com.hdkj.lt.bf.service;

import com.hdkj.lt.bf.entity.dto.SwitchInfoListRequest;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

public interface ExportDataService {

    void exportSegmentCurrentList(HttpServletResponse response, Long switchingId, String exportType);

    void exportSwitchSetting(HttpServletResponse response, SwitchInfoListRequest request);

    void exportSwitchSettingTemp(HttpServletResponse response);

    int importSwitchSetting(MultipartFile file);

}


